- Qt 6.10
- Qt Help
- C++ Classes
- QHelpSearchEngine
- Qt 6.10.2 Reference Documentation

# Obsolete Members for QHelpSearchEngine

The following members of class QHelpSearchEngine are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(deprecated)` | SearchHit

## Public Functions

`(deprecated)` int | hitCount() const
`(deprecated)` QList<QHelpSearchEngine::SearchHit> | hits(int start, int end) const
`(deprecated)` int | hitsCount() const
`(deprecated)` QList<QHelpSearchQuery> | query() const

## Public Slots

`(deprecated)` void | search(const QList<QHelpSearchQuery> &queryList)

## Member Type Documentation

### `[deprecated]` QHelpSearchEngine::SearchHit

This typedef is deprecated. We strongly advise against using it in new code.

Use QHelpSearchResult instead.

Typedef for QPair<QString, QString>. The values of that pair are the documentation file path and the page title.

See also hits().

## Member Function Documentation

### `[deprecated]` int QHelpSearchEngine::hitCount() const

This function is deprecated. We strongly advise against using it in new code.

Use searchResultCount() instead.

### `[deprecated]` QList<QHelpSearchEngine::SearchHit> QHelpSearchEngine::hits(int start, int end) const

This function is deprecated. We strongly advise against using it in new code.

Use searchResults() instead.

### `[deprecated]` int QHelpSearchEngine::hitsCount() const

This function is deprecated. We strongly advise against using it in new code.

Use searchResultCount() instead.

### `[deprecated]` QList<QHelpSearchQuery> QHelpSearchEngine::query() const

This function is deprecated. We strongly advise against using it in new code.

Use searchInput() instead.

### `[slot, deprecated]` void QHelpSearchEngine::search(const QList<QHelpSearchQuery> &queryList)

This function is deprecated. We strongly advise against using it in new code.

Use search(const QString &searchInput) instead.

Note: This slot is overloaded. To connect to this slot:

     // Connect using qOverload:
     connect(sender, &SenderClass::signal,
             helpSearchEngine, qOverload<const QList<QHelpSearchQuery> &>(&QHelpSearchEngine::search));

     // Or using a lambda as wrapper:
     connect(sender, &SenderClass::signal,
             helpSearchEngine, [receiver = helpSearchEngine](const QList<QHelpSearchQuery> &queryList) { receiver->search(queryList); });

For more examples and approaches, see connecting to overloaded slots.